# $Revision: 1.5 $, $Date: 2012/05/27 15:24:42 $
Summary:	Note-taking application
Name:		gnote
Version:	0.8.3
Release:	1
License:	GPL v3
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnote/0.8/%{name}-%{version}.tar.xz
# Source0-md5:	f6342c881b24f1167cf66964c44ec027
URL:		http://live.gnome.org/Gnote
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	boost-devel >= 1.34.0
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	gnome-common
BuildRequires:	gnome-doc-utils
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	gtkmm3-devel
BuildRequires:	gtkspell-devel >= 2.0.9
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	libuuid-devel
BuildRequires:	libxml2-devel
BuildRequires:	libxslt-devel
BuildRequires:	pcre-cxx-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.592
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.26.0
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	hicolor-icon-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gnote is a desktop note-taking application which is simple and easy to
use. It lets you organize your notes intelligently by allowing you to
easily link ideas together with Wiki style interconnects. It is a port
of Tomboy to C++ and consumes fewer resources.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make} V=1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} V=1 install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/gnote/addins/*/*.la

%find_lang gnote --with-gnome --with-omf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%glib_compile_schemas

%postun
%update_icon_cache hicolor
%glib_compile_schemas

%files -f gnote.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/gnote
%dir %{_libdir}/gnote
%dir %{_libdir}/gnote/addins
%dir %{_libdir}/gnote/addins/%{version}
%attr(755,root,root) %{_libdir}/gnote/addins/*/backlinks.so
%attr(755,root,root) %{_libdir}/gnote/addins/*/bugzilla.so
%attr(755,root,root) %{_libdir}/gnote/addins/*/exporttohtml.so
%attr(755,root,root) %{_libdir}/gnote/addins/*/fixedwidth.so
%attr(755,root,root) %{_libdir}/gnote/addins/*/inserttimestamp.so
%attr(755,root,root) %{_libdir}/gnote/addins/*/noteoftheday.so
%attr(755,root,root) %{_libdir}/gnote/addins/*/printnotes.so
%attr(755,root,root) %{_libdir}/gnote/addins/*/replacetitle.so
%attr(755,root,root) %{_libdir}/gnote/addins/*/stickynoteimport.so
%attr(755,root,root) %{_libdir}/gnote/addins/*/tomboyimport.so
%attr(755,root,root) %{_libdir}/gnote/addins/*/underline.so
%{_datadir}/dbus-1/services/org.gnome.Gnote.service
%{_datadir}/glib-2.0/schemas/org.gnome.gnote.gschema.xml
%{_datadir}/gnote
%{_desktopdir}/gnote.desktop
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/*/*/*.svg
%{_mandir}/man1/gnote.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnote.spec,v $
Revision 1.5  2012/05/27 15:24:42  megabajt
- updated to 0.8.3

Revision 1.4  2011/02/04 18:23:53  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.3  2010/05/15 23:14:25  sparky
- BR: docbook-dtd412-xml, gettext-devel

Revision 1.2  2010/05/15 15:50:22  lkrotowski
- up to 7.2
- Gtk+2 BR up (see gtk_deprecated patch)

Revision 1.1  2009/12/31 15:31:00  megabajt
- new

